%---------------------------Outputs Depiction------------------------------
figure
h6=plot(T2,EVar);
set(h6,{'LineWidth'},{1})
xlabel('Time of the Day [Half-hour]')
ylabel('Battery Enrgy Level [kWh]')
title('Daily Energy Variation')

FinalNetFlow=BestPSch; 
figure
h7=plot(T,FinalNetFlow(1,:));
set(h7,{'LineWidth'},{1})
xlabel('Time of the Day [Half-hour]')
ylabel('Transformer Operating Power [kW]')
title('Transformer Daily Load')

figure
bar(T,FinalNetFlow(1,:));
xlabel('Time of the Day [Half-hour]')
ylabel('Transformer Operating Power [kW]')
title('Transformer Daily Load')

figure
subplot(4,1,1)
h7=plot(rmintotal);
set(h7,{'LineWidth'},{1})
xlabel('Iteration Number')
ylabel('Daily Energy Price')
title('Convergence Rate')

subplot(4,1,2)
h8=plot(Time,Tariff);
set(h8,{'LineWidth'},{1})
xlabel('Hours of the Day [Half-hour]')
ylabel('Price of Electricity [Penny]')
title('Daily Price of Electricity')

subplot(4,1,3)
h9=plot(T,BestPSch);
set(h9,{'LineWidth'},{1})
xlabel('Hours of the Day [Half-hour]')
ylabel('Transformer Operating Power [kW]')
title('Daily Load')
legend('Transformer Flow')

subplot(4,1,4)
h10=plot(T2,EVar);
set(h10,{'LineWidth'},{1})
xlabel('Time of the Day [Half-hour]')
ylabel('Battery Enrgy Level [kWh]')
title('Daily Energy Variation')

UnitFuelPrice=MinCost/DailyEnergy;
EnergyPrice=['UnitFuelPrice =',num2str(UnitFuelPrice)];
disp(EnergyPrice);

BestPBat=(BestPSch-StationLoad); 
figure
bar(T,BestPBat);
xlabel('Time of the Day [Half-hour]')
ylabel('Best Battery Power Schedulling [kW]')
title('Daily Battery Power Scheduling')

figure
h11=plot(T,BestPBat);
set(h11,{'LineWidth'},{1})
xlabel('Time of the Day [Half-hour]')
ylabel('Best Battery Power Schedulling [kW]')
title('Daily Battery Power Scheduling')

BestEBat=BestESche-EnergyDemand;
BatEnergyVar(1,1)=BestEBat(1,1);
for col8=2:48
    BatEnergyVar(1,col8)=BestEBat(1,col8)+BatEnergyVar(1,col8-1);
end

[val7,idx7]=min(BatEnergyVar(1,:));
if val7 < 0
    for col9=1:48
     BatEnergyVar(1,col9)=BatEnergyVar(1,col9)+abs(val7);  
    end
end

BatEnergyVar=[BatEnergyVar(1,end) BatEnergyVar(1,:)];
figure
h12=plot(T2,BatEnergyVar);
set(h12,{'LineWidth'},{1})
xlabel('Time of the Day [Half-hour]')
ylabel('Best Battery Power Schedulling [kW]')
title('Daily Battery Power Scheduling')